Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.
MerchantId
string
required
Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.
Environment
enum<string>
required
Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.
Available options:
live,
sandbox
Query Parameters
isDelegated
boolean
Only transactions matching the given delegated status
Example:
true
to
string
A date in UTC timezone to filters data to, inclusively.
Follows the Datetime ISO.
The default value is now().
Example:
"2020-10-15T12:09:49.355Z"
from
string
A date in UTC timezone to filters data from, inclusively.
Follows the Datetime ISO.
The default value is the first day of this month.
Example:
"2020-10-15T12:09:49.355Z"
page
number
The page number in the returned data. The default value is 1.
Do use with 'perPage' query parameter to paginate properly.
Example:
2
perPage
number
The maximum number of results that will be return. The default value is 10.
Do use with 'page' query parameter to paginate properly.
Example:
5
Response
id
string
required
Unique identifier for the Payment
Example:
"pay_QW2d6JnqiatcH8KhK0mD1"
intentId
string
required
Unique identifier for the PaymentIntent owning this Payment
Example:
"pi_z1urYtVFgEebtcj8fxp4v"
createdAt
string
required
Datetime in UTC timezone at which this object was created.
Follows the Datetime ISO.
Example:
"2020-10-15T12:09:49.355Z"
updatedAt
string
required
Datetime in UTC timezone at which this object was updated for the last time .
Follows the Datetime ISO.
Example:
"2020-10-15T12:16:26.128Z"
status
enum<string>
required
Current status of this Payment
Available options:
created,
failed,
pending,
successful
Example:
"successful"
amount
number
required
Amount intended to be collected by this payment. A positive integer representing how much to charge in whole currency units (e.g., 100 to charge âŹ100 or FCFA100).
The method selected by the customer to make this Payment
Available options:
mobile_money,
credit_card,
bank_transfer,
instant_payment
Example:
"mobile_money"
country
string
required
Two-letter ISO country code. Represents the country where the provider selected by the customer is localized.
Example:
"CI"
fees
PaymentFee · object[]
required
Some fees may be applied on a Payment. This array provides information of the fees that could have been applied on this Payment.
Show child attributes
providerReference
string
required
provider reference that identify this payment
number
string
required
The identifier referencing the payment method of the customer.
- In case of a payment by Mobile Money, it corresponds to the customer phone number corresponding to his Mobile Money account,
- In case of a payment by Credit Card, it corresponds to the four last digits of the customer's credit card number.
failure
PaymentFailureCause · object
In case of a Payment attempt failure, this object will describe the reason of the failure
Show child attributes
nextAction
NextAction · object
Action required to execute to continue the processing of this Payment. The action allows the customer to validate the Payment.
- A redirection action provides all the information to redirect the customer to an external page,
- A ussd action provides a message to display to the user for the validation of the Payment. He will receive a USSD message on his phone describing how to make the validation,
- A otp action requires that you display an input to the customer to collect an OTP. A message is provided to explains to the user how to get this OTP. Then, the client will have to send the authentication request.
Show child attributes
paymentInformation
object
Optional beneficiary metadata (hashed identifiers) attached to this payment.
Show child attributes
isDelegated
boolean
Indicates whether this payment is a delegated payment.